From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-machine/
Date: Sat, 15 Aug 2015 23:04:29 +0000 (UTC) [thread overview]
Message-ID: <1439679797.f790e586db78fbd8e07f1902233bcb3dda0d34c3.zmedico@gentoo> (raw)
commit: f790e586db78fbd8e07f1902233bcb3dda0d34c3
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 23:02:19 2015 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 23:03:17 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f790e586
Add docker-machine.
Package-Manager: portage-2.2.20.1
app-emulation/docker-machine/Manifest | 1 +
.../docker-machine/docker-machine-0.4.1.ebuild | 36 ++++++++++++++++++++++
app-emulation/docker-machine/metadata.xml | 10 ++++++
3 files changed, 47 insertions(+)
diff --git a/app-emulation/docker-machine/Manifest b/app-emulation/docker-machine/Manifest
new file mode 100644
index 0000000..7e184a7
--- /dev/null
+++ b/app-emulation/docker-machine/Manifest
@@ -0,0 +1 @@
+DIST docker-machine-0.4.1.tar.gz 1620966 SHA256 f089657b2de7a3ce15374e69be3f654b0866f75eb077ca363f8a5933ccf51cda SHA512 29b21c075c7964cce00cda484bb31768988c95d6e1a9c4aa625619bead49aebe5b756fdaee7be07baa469c2a675538e69c1e2d3a33cfd32c0c8b79dd4dc8b6b7 WHIRLPOOL 8f200b43f4d40b170646cd3b96b8dac7ae56014641d30ed82ab53eb38be537a408a45fcef7d1f97eba632c86f471516ca3c7f19c121072a72b19847b9d04fe82
diff --git a/app-emulation/docker-machine/docker-machine-0.4.1.ebuild b/app-emulation/docker-machine/docker-machine-0.4.1.ebuild
new file mode 100644
index 0000000..bf45246
--- /dev/null
+++ b/app-emulation/docker-machine/docker-machine-0.4.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_PN=github.com/docker/machine/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="v${PV}"
+ SRC_URI="https://${EGO_PN%/*}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Machine management for a container-centric world"
+HOMEPAGE="https://docs.docker.com/machine/ "
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+RESTRICT="test"
+DEPEND=""
+RDEPEND=""
+S=${WORKDIR}/${P}/src/${EGO_PN%/*}
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}:${S}/Godeps/_workspace:$(get_golibdir_gopath)" \
+ go build -v -work -x ${EGO_BUILD_FLAGS} -o ${PN} || die
+}
+
+src_install() {
+ dobin ${PN} || die
+}
diff --git a/app-emulation/docker-machine/metadata.xml b/app-emulation/docker-machine/metadata.xml
new file mode 100644
index 0000000..77868d9
--- /dev/null
+++ b/app-emulation/docker-machine/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">docker/machine</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2015-08-15 23:04 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-15 23:04 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-08-16 0:25 [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-machine/ Zac Medico
2015-12-06 22:08 Zac Medico
2015-12-27 19:04 Zac Medico
2016-03-25 20:13 Zac Medico
2016-04-15 18:40 Zac Medico
2016-04-15 18:44 Zac Medico
2016-10-26 15:13 Zac Medico
2016-10-26 15:29 Zac Medico
2017-01-20 16:44 Zac Medico
2017-03-07 17:09 Zac Medico
2017-03-07 17:12 Zac Medico
2017-03-07 21:25 Zac Medico
2017-06-29 16:29 Zac Medico
2017-09-15 13:01 Manuel Rüger
2017-10-25 19:06 Zac Medico
2017-10-25 19:07 Zac Medico
2019-09-19 1:48 Zac Medico
2019-09-19 1:48 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1439679797.f790e586db78fbd8e07f1902233bcb3dda0d34c3.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox